> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-leet-slack-mcp-docs.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Assignments

> List the principals assigned to a session policy, including both direct
 assignments and those conferred through a group.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples get /api/v1/session-policies/{id}/assignments
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/session-policies/{id}/assignments:
    get:
      tags:
        - Session Policy
      summary: List Assignments
      description: |-
        List the principals assigned to a session policy, including both direct
         assignments and those conferred through a group.
      operationId: c1.api.session_policy.v1.SessionPolicyService.ListAssignments
      parameters:
        - in: path
          name: id
          required: true
          schema:
            description: The session policy whose assignments to list.
            type: string
        - in: query
          name: page_size
          schema:
            description: The pageSize field.
            format: int32
            type: integer
        - in: query
          name: page_token
          schema:
            description: The pageToken field.
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.session_policy.v1.SessionPolicyServiceListAssignmentsResponse
          description: Successful response
      x-codeSamples:
        - lang: go
          label: ListAssignments
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.SessionPolicy.ListAssignments(ctx, operations.C1APISessionPolicyV1SessionPolicyServiceListAssignmentsRequest{\n        ID: \"<id>\",\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.SessionPolicyServiceListAssignmentsResponse != nil {\n        // handle response\n    }\n}"
components:
  schemas:
    c1.api.session_policy.v1.SessionPolicyServiceListAssignmentsResponse:
      description: The SessionPolicyServiceListAssignmentsResponse message.
      properties:
        assignments:
          description: The assignments field.
          items:
            $ref: '#/components/schemas/c1.api.session_policy.v1.Assignment'
          type:
            - array
            - 'null'
        nextPageToken:
          description: The nextPageToken field.
          type: string
      title: Session Policy Service List Assignments Response
      type: object
      x-speakeasy-name-override: SessionPolicyServiceListAssignmentsResponse
    c1.api.session_policy.v1.Assignment:
      description: Assignment is one principal (user) assigned to a session policy.
      properties:
        source:
          description: Whether the assignment is direct or conferred through a group.
          enum:
            - ASSIGNMENT_SOURCE_UNSPECIFIED
            - ASSIGNMENT_SOURCE_DIRECT
            - ASSIGNMENT_SOURCE_GROUP
          type: string
          x-speakeasy-unknown-values: allow
        userId:
          description: The assigned user's ID.
          type: string
      title: Assignment
      type: object
      x-speakeasy-name-override: Assignment
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````